From: "Alex Brandt" <alunduil@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/multidict/
Date: Sun, 22 May 2016 17:23:13 +0000 (UTC) [thread overview]
Message-ID: <1463937764.883e94c5ab292442f5410d4797f110e7d426cb69.alunduil@gentoo> (raw)
commit: 883e94c5ab292442f5410d4797f110e7d426cb69
Author: Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sun May 22 17:22:04 2016 +0000
Commit: Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sun May 22 17:22:44 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=883e94c5
dev-python/multidict: add version 1.1.0_alpha6
Package-Manager: portage-2.3.0_rc1
dev-python/multidict/Manifest | 1 +
dev-python/multidict/metadata.xml | 10 ++++++
dev-python/multidict/multidict-1.1.0_alpha6.ebuild | 40 ++++++++++++++++++++++
3 files changed, 51 insertions(+)
diff --git a/dev-python/multidict/Manifest b/dev-python/multidict/Manifest
new file mode 100644
index 0000000..8ed5074
--- /dev/null
+++ b/dev-python/multidict/Manifest
@@ -0,0 +1 @@
+DIST multidict-1.1.0_alpha6.tar.gz 98630 SHA256 ac3f1a134c87a7f6e7547cbcb595e5eb36d1c1865101a777f2e7c0a18d824173 SHA512 fc221ca768cfc3c04c83e624296e5c0452d4d14a7a13ba8e8cb153ffd1ea7b7e949c628bc45d8c249b790cca1698fc0a5a6f2b57b113bcf9c055a972d2f15a7e WHIRLPOOL 7f8e057d41eb90246c84ba13165e6975ea5f985b5f65ae887efd2d4493ac0bd0980d9a56426a74b5f979a93a9007c2ef60ebbcf6966cedd8592ca3f1c379bb8e
diff --git a/dev-python/multidict/metadata.xml b/dev-python/multidict/metadata.xml
new file mode 100644
index 0000000..9b3c6f8
--- /dev/null
+++ b/dev-python/multidict/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alunduil@gentoo.org</email>
+ <name>Alex Brandt</name>
+ </maintainer>
+ <longdescription lang="en">
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-python/multidict/multidict-1.1.0_alpha6.ebuild b/dev-python/multidict/multidict-1.1.0_alpha6.ebuild
new file mode 100644
index 0000000..f65be53
--- /dev/null
+++ b/dev-python/multidict/multidict-1.1.0_alpha6.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python3_4 python3_5 )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PV="${PV//_alpha/a}"
+
+DESCRIPTION="multidict implementation"
+HOMEPAGE="https://github.com/aio-libs/multidict/"
+SRC_URI="https://github.com/aio-libs/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+RDEPEND=""
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ "${PYTHON}" -m pytest tests || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
next reply other threads:[~2016-05-22 17:23 UTC|newest]
Thread overview: 125+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-05-22 17:23 Alex Brandt [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-05-30 3:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/multidict/ Aaron Bauman
2016-06-11 15:37 Alex Brandt
2016-06-18 18:55 Alex Brandt
2016-07-24 1:10 Alex Brandt
2016-07-24 1:10 Alex Brandt
2016-07-30 15:15 Alex Brandt
2016-07-30 15:15 Alex Brandt
2016-08-06 14:46 Alex Brandt
2016-08-06 14:46 Alex Brandt
2016-08-13 15:23 Alex Brandt
2016-08-13 15:23 Alex Brandt
2016-09-24 15:23 Alex Brandt
2016-09-24 15:23 Alex Brandt
2016-10-01 22:43 Alex Brandt
2017-01-05 18:23 William Hubbs
2017-02-13 9:29 Zac Medico
2017-05-26 20:22 Zac Medico
2017-11-15 3:32 Tim Harder
2017-12-19 4:39 Zac Medico
2018-03-01 19:35 Tim Harder
2018-03-04 7:16 Tim Harder
2018-06-04 23:38 Tim Harder
2018-06-24 9:46 Pacho Ramos
2018-06-25 23:20 Thomas Deutschmann
2018-12-16 8:13 Tim Harder
2019-02-16 17:37 Zac Medico
2019-03-16 23:27 Anthony G. Basile
2019-04-27 11:49 Anthony G. Basile
2019-08-28 23:45 Zac Medico
2019-12-02 21:13 Aaron Bauman
2020-03-28 8:34 Michał Górny
2020-04-07 7:03 Georgy Yakovlev
2020-04-08 13:36 Agostino Sarubbo
2020-04-08 14:01 Agostino Sarubbo
2020-04-08 14:05 Agostino Sarubbo
2020-05-28 11:13 Michał Górny
2020-05-31 23:46 Matt Turner
2020-06-01 6:59 Sergei Trofimovich
2020-06-03 21:16 Sergei Trofimovich
2020-07-09 12:22 Michał Górny
2020-07-13 18:08 Sam James
2020-07-16 12:50 Sam James
2020-08-17 13:49 Michał Górny
2020-09-04 8:57 Sergei Trofimovich
2020-10-12 19:42 Michał Górny
2020-11-15 5:19 Sam James
2020-11-15 5:57 Sam James
2020-11-15 23:50 Sam James
2020-11-17 18:55 Agostino Sarubbo
2020-11-17 19:10 Agostino Sarubbo
2020-11-17 19:17 Agostino Sarubbo
2020-11-23 8:01 Sergei Trofimovich
2020-11-23 17:05 Michał Górny
2020-11-28 7:50 Sam James
2020-12-03 14:34 Michał Górny
2021-01-05 21:03 Sam James
2021-01-06 17:35 Sergei Trofimovich
2021-01-07 1:08 Sam James
2021-01-07 1:12 Sam James
2021-01-07 12:14 Sam James
2021-01-07 20:15 Sam James
2021-01-08 7:24 Sergei Trofimovich
2021-01-08 9:43 Michał Górny
2021-05-22 18:18 Michał Górny
2021-10-04 8:05 Michał Górny
2021-11-05 2:18 Sam James
2021-11-05 2:20 Sam James
2021-11-05 14:57 Jakov Smolić
2021-11-05 17:38 Sam James
2021-11-05 17:38 Sam James
2021-11-06 19:56 Sam James
2021-11-08 19:32 Sam James
2021-11-09 22:35 Sam James
2021-11-10 15:19 Arthur Zamarin
2022-01-23 9:33 Michał Górny
2022-01-23 13:39 Michał Górny
2022-01-23 13:39 Michał Górny
2022-01-24 18:11 Arthur Zamarin
2022-02-27 12:23 Jakov Smolić
2022-02-27 12:29 Jakov Smolić
2022-02-27 16:38 Sam James
2022-03-06 7:39 Sam James
2022-03-06 8:05 Sam James
2022-03-12 11:31 Arthur Zamarin
2022-03-12 19:53 Michał Górny
2022-05-13 16:11 Michał Górny
2022-12-03 9:09 Michał Górny
2022-12-24 7:41 Michał Górny
2023-01-07 18:24 Arthur Zamarin
2023-01-07 18:41 Arthur Zamarin
2023-01-07 18:49 Arthur Zamarin
2023-01-07 18:52 Arthur Zamarin
2023-01-07 18:58 Arthur Zamarin
2023-01-07 19:26 Arthur Zamarin
2023-01-07 19:43 Arthur Zamarin
2023-01-10 8:34 Sam James
2023-01-10 9:03 Arthur Zamarin
2023-05-24 15:56 Michał Górny
2023-05-24 15:56 Michał Górny
2023-08-06 8:48 Michał Górny
2023-08-06 8:48 Michał Górny
2023-08-06 8:48 Michał Górny
2024-02-02 13:24 Michał Górny
2024-02-17 22:26 Sam James
2024-03-02 11:57 Arthur Zamarin
2024-03-02 14:02 Arthur Zamarin
2024-03-02 14:02 Arthur Zamarin
2024-03-02 14:02 Arthur Zamarin
2024-03-02 14:07 Arthur Zamarin
2024-03-02 15:20 Arthur Zamarin
2024-03-02 15:36 Arthur Zamarin
2024-03-19 5:52 Michał Górny
2024-05-18 6:11 Michał Górny
2024-09-06 15:26 Arthur Zamarin
2024-09-10 7:06 Michał Górny
2024-09-28 11:05 Arthur Zamarin
2024-09-28 12:32 Arthur Zamarin
2024-09-28 12:33 Arthur Zamarin
2024-09-28 12:40 Sam James
2024-09-28 13:57 Sam James
2024-09-28 14:21 Arthur Zamarin
2024-10-13 20:53 Sam James
2024-11-20 14:36 Sam James
2024-11-20 16:34 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1463937764.883e94c5ab292442f5410d4797f110e7d426cb69.alunduil@gentoo \
--to=alunduil@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox